global:
  scrape_interval: 30s
scrape_configs:
  - job_name: mc-export
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - mc-export:9150
  - job_name: mc-monitor
    metrics_path: /metrics
    scheme: http
    static_configs:
      - targets:
          - monitor:8080
      - targets:
          - cadvisor:8080
  - job_name: cadvisor
    static_configs:
      - targets:
          - cadvisor:8080
  - job_name: minecraft-exporter
    scrape_interval: 15s
    scrape_timeout: 15s
    static_configs:
      - targets:
          - minecraft-exporter:8000
  - job_name: 'minecraft'
    static_configs:
      - targets: ['mc:19565']
        labels:
          server_name: 'minecraft-docker'